Bug 443645 - ST Driver causing kernel panic condition
ST Driver causing kernel panic condition
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
x86_64 Linux
low Severity high
: rc
: ---
Assigned To: Ivan Vecera
Martin Jenner
:
Depends On:
Blocks: 391501
  Show dependency treegraph
 
Reported: 2008-04-22 13:22 EDT by Ralph Shepard
Modified: 2010-10-22 20:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:23:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Final patch sent to review (3.27 KB, patch)
2008-04-29 10:16 EDT, Ivan Vecera
no flags Details | Diff

  None (edit)
Description Ralph Shepard 2008-04-22 13:22:19 EDT
Description of problem:
While to attempting to verify our backup/restore procedure for RHEL5 I have
uncovered what seems to be a bug in the ST driver 

The Driver causes a Panic condition when attempting read or write to tape when
using a blocksize in at or above 10240 OR if the tape has previously been
formatted at a block size that is not a factor of the current block size

Version-Release number of selected component (if applicable):


How reproducible:

with new tape
mt -f /dev/st0 setblk 16384
pax -w -d -b 16384 -f /dev/st0 <filename>
tar -tvf /dev/nst0 

Actual results:
Kernel Panic

Expected results:
tape read error (tar defaults to 10240 and shouldnt read the tape)

How reproducible:

with same tape from above 
mt -f /dev/st0 setblk 10240
pax -w -d -b 10240 -f /dev/st0 <filename>
 

Actual results:
Kernel Panic

Expected results:
The data should be written to the tape 


Additional info:

A patched driver has been released by Dell that addresses this issue:
http://support.dell.com/support/downloads/download.aspx?c=us&l=en&s=gen&releaseid=R168261&formatcnt=1&libid=0&fileid=228248

also there is a trouble ticked available in the support request ticked 1818038
Comment 1 Radek Brich 2008-04-23 04:10:53 EDT
This seems to be kernel bug, changing component...
Comment 2 Ivan Vecera 2008-04-23 11:38:19 EDT
The upstream commit that fixes this bug:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=9abe16c670bd3d4ab5519257514f9f291383d104

I will prepare kernel packages to test.
Comment 3 Ivan Vecera 2008-04-25 03:14:02 EDT
Could you please try a test kernel package from:
http://people.redhat.com/ivecera/bz443645/ ?
Comment 4 Ralph Shepard 2008-04-25 11:24:12 EDT
I have installed kernel-2.6.18-91.el5.bz443645.x86_64.rpm  
 
Initial test results are good.  previous conditions no longer produce a crash
and thus far I have seen no issues with the new kernel.

Will continue to do testing through out the day but I don't foresee any negative
results. 
Comment 5 Ivan Vecera 2008-04-29 10:16:49 EDT
Created attachment 304120 [details]
Final patch sent to review
Comment 7 RHEL Product and Program Management 2008-09-12 17:33:03 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 Don Zickus 2008-09-15 10:17:33 EDT
in kernel-2.6.18-115.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 12 errata-xmlrpc 2009-01-20 15:23:03 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.